/* --8<--8<--8<--8<--
 *
 * Copyright (C) 2007 Smithsonian Astrophysical Observatory
 *
 * This file is part of rdbplt
 *
 * rdbplt is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * rdbplt is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the 
 *       Free Software Foundation, Inc. 
 *       51 Franklin Street, Fifth Floor
 *       Boston, MA  02110-1301, USA
 *
 * -->8-->8-->8-->8-- */

#include <limits.h>

#include "main.h"
#include "common.h"


void
set_def_attrs( void )
{
  int i;
  
  c.connect_attr_def.line.width = c.linewidth;

  c.marker_attr_def.width = c.linewidth;
  c.marker_attr_def.ht = c.char_height;

  for ( i = 0 ; i < 2 ; i++ )
  {
    c.xerr_attr_def[i].width = c.char_height;
    c.xerr_attr_def[i].line = c.connect_attr_def.line;

    c.yerr_attr_def[i].width = c.char_height;
    c.yerr_attr_def[i].line = c.connect_attr_def.line;
  }

}

void
init( void )
{
  int i;
  
  c.limit_alg = LimitAlg_PGPLOT;
  c.just = 0;
  c.width = 0;
  c.height = 0;
  c.image_pad = 4;

  c.char_height = 1;
  c.linewidth = 1;
  c.color_def = 1;
  c.linestyle_def = 1;

  c.n_connect = 0;
  c.connect_attr = NULL;
  c.connect_attr_def.line.style = c.linestyle_def;
  c.connect_attr_def.line.color = INT_MAX;
  c.connect_attr_def.doit = Connect_None;

  c.n_markers = 0;
  c.do_markers = Marker_None;
  c.marker_attr = NULL;
  c.marker_attr_def.style = c.linestyle_def;
  c.marker_attr_def.color = INT_MAX;
  c.marker_attr_def.doit = Marker_None;
  

  for ( i = 0 ; i < 2 ; i++ )
  {
    c.xerr_attr_def[i].doit = 0;
    c.yerr_attr_def[i].doit = 0;

    c.xerr_attr_def[i].line.color = INT_MAX;
    c.yerr_attr_def[i].line.color = INT_MAX;
  }

  set_def_attrs();
  

  c.legend.line_length = 0.05;
  c.legend.lineskip = 1.5;
  c.legend.box = 0;
  c.legend.plot = 0;
  c.legend.char_ht = 1.0;
  c.legend.text = NULL;
  c.legend.textp = NULL;
  c.legend.x = 0;
  c.legend.y = 1;
  c.legend.box_pad = 0.5;
  c.legend.pos = Legend_UL;
}


