/* --8<--8<--8<--8<--
 *
 * Copyright (C) 2007 Smithsonian Astrophysical Observatory
 *
 * This file is part of rdbplt
 *
 * rdbplt is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * rdbplt is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the 
 *       Free Software Foundation, Inc. 
 *       51 Franklin Street, Fifth Floor
 *       Boston, MA  02110-1301, USA
 *
 * -->8-->8-->8-->8-- */

#include "config.h"


#include <stdio.h>
#include <stdlib.h>
#include <libgen.h>

#include <tracefct/tracefct.h>
#include <suplib/str.h>

#include "main.h"
#include "common.h"
#include "usage.h"

int
main(int argc, char *argv[])
{
  char *prog = str_dup( basename( argv[0] ) );

  tf_init(prog, 0, 0);

  init( );

  gparam(argc, argv);

  if ( c.help )
    usage( );

  else if ( c.version )
    printf("%s %s\n", argv[0], VERSION);

  else
  {
    /* ensure that markers in PostScript output will track line width
       requests */
    putenv( "PGPLOT_PS_MARKERS=NO" );
    process();
  }

  free( prog );
  return EXIT_SUCCESS;
}
